pskc_sign_x509(3)

NAME
pskc_sign_x509 - API function

SYNOPSIS
#include <pskc.h>

int pskc_sign_x509(pskc_t * container, const char * key_file, const char * cert_file);

ARGUMENTS

pskc_t * container
    a pskc_t handle, from pskc_init().

const char * key_file
    filename of file containing private key.

const char * cert_file
    filename of file containing corresponding X.509 certificate.

DESCRIPTION
Sign PSKC data using X.509 certificate and private key.

RETURNS
On success, PSKC_OK (zero) is returned, or an error code.

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://oath-toolkit.codeberg.page/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2009-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.